## $Id: batching.py 12269 2014-12-20 16:12:59Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Batch processing for skeleton documents.
"""
import grok
from waeup.ikoba.customers.batching import (
    CustomerProcessor,
    CustomerDocumentProcessorBase, ContractProcessorBase)
from ikobacustom.skeleton.customers.interfaces import (
    ISkeletonCustomer,
    ISkeletonCustomerDocument, ISkeletonContract)
from ikobacustom.skeleton.interfaces import MessageFactory as _


class SkeletonCustomerProcessor(CustomerProcessor):
    """A batch processor for ICustomer objects.
    """
    util_name = 'skeletoncustomerprocessor'
    grok.name(util_name)
    name = _('Skeleton Customer Processor')
    iface = ISkeletonCustomer


class SkeletonCustomerDocumentProcessor(CustomerDocumentProcessorBase):
    """A batch processor for ISkeletonCustomerDocument objects.
    """
    util_name = 'skeletoncustomerdocumentprocessor'
    grok.name(util_name)
    name = _('Skeleton Customer Document Processor')
    iface = ISkeletonCustomerDocument
    factory_name = 'waeup.SkeletonCustomerDocument'


class SkeletonContractProcessor(ContractProcessorBase):
    """A batch processor for ISkeletonContract objects.
    """
    util_name = 'skeletoncontractprocessor'
    grok.name(util_name)
    name = _('Skeleton Customer Contract Processor')
    iface = ISkeletonContract
    factory_name = 'waeup.SkeletonContract'